{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Glide API Docs","colors":{"primary":"#18BED4","light":"#B7B2F0","dark":"#18BED4"},"favicon":"/logo/favicon.svg","api":{"openapi":"openapi/swagger.json"},"navbar":{"links":[{"label":"Glide User Docs","href":"https://www.glideapps.com/docs"}],"primary":{"type":"button","label":"Open Glide","href":"https://go.glideapps.com"}},"footer":{"socials":{"youtube":"https://www.youtube.com/glideapps","x":"https://x.com/glideapps","github":"https://github.com/glideapps","linkedin":"https://www.linkedin.com/company/glideapps/"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"glide","hasAudioNarration":false,"actualSubdomain":"glide","customDomains":["apidocs.glideapps.com"],"gitSource":{"type":"github","owner":"glideapps","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c52b3f39494aa9ef0edd","collectionId":"570d6a24-7be4-4099-8283-8344482920dc","schemaVersion":"v2"},"feedback":{"thumbs":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a20c52b3f39494aa9ef0edd:success","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Tables","count":10},{"language":"default","tag":"General","count":4},{"language":"default","tag":"Stashing","count":3},{"language":"default","tag":"Resources","count":2},{"language":"default","tag":"Uploads","count":2},{"language":"default","tag":"Jobs","count":1},{"language":"default","tag":"Tutorials","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/v2/stashing/delete-stash","slug":"/api-reference/v2/stashing/delete-stash","pageMetadata":{"title":"Delete Stash","openapi":"delete /stashes/{stashID}","description":"Deletes a stash and all its data","href":"/api-reference/v2/stashing/delete-stash","hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Deletes a stash and all its data\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,p:`p`,..._provideComponents(),...props.components},{Note,Tip}=_components;if(!Note)_missingMdxReference(`Note`,true);if(!Tip)_missingMdxReference(`Tip`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`If you no longer need a stash, you can delete it. This will remove the stash and all the data it contains.`}),`\n`,_jsx(Note,{children:`Even if you do not call this endpoint, all stashes are automatically deleted within 48 hours after they are created.`}),`\n`,_jsx(Tip,{children:_jsxs(_components.p,{children:[`To understand what stashing is and how to use it to work with large datasets, please see our `,_jsx(_components.a,{href:`/api-reference/v2/stashing/introduction`,children:`introduction to stashing`}),`.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Delete Stash","openapi":"delete /stashes/{stashID}","description":"Deletes a stash and all its data","href":"/api-reference/v2/stashing/delete-stash","hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"responses":{"200":"77d06966-2f4b-49b4-9b54-464ab651f319","400":"efc18b07-d65c-4d36-afc8-5f7243b99d53"},"parameters":["927d11c7-42a2-4048-ae5a-3fa538e80dbd"],"description":"Deletes a stash and all its data","method":"delete","type":"path","servers":["427470dc-1a39-4627-ac56-a1bc52cf9977"],"security":["328590db-7bd8-408e-be5c-75e581b70302"],"path":"/stashes/{stashID}","baseUrlOptions":["https://api.glideapps.com"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"927d11c7-42a2-4048-ae5a-3fa538e80dbd":{"name":"stashID","in":"path","schema":{"type":"string","pattern":"^[a-zA-Z0-9][a-zA-Z0-9_-]{0,255}$","description":"ID of the stash, e.g., `20240215-job32`","example":"20240215-job32","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true}},"responses":{"77d06966-2f4b-49b4-9b54-464ab651f319":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{},"additionalProperties":false,"description":"A 200 HTTP response code indicates that the stash with the given stash ID was successfully deleted.","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{}}},"exampleType":"generated"}},"exampleType":"generated"},"efc18b07-d65c-4d36-afc8-5f7243b99d53":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"type":{"type":"string","isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["type","message"],"additionalProperties":false,"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"type":"\u003cstring>","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"328590db-7bd8-408e-be5c-75e581b70302":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form Bearer `\u003ctoken>`, where `\u003ctoken>` is your [auth token](/api-reference/v2/general/authentication).","scopes":[]}}},"servers":{"427470dc-1a39-4627-ac56-a1bc52cf9977":{"description":"Production","url":"https://api.glideapps.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form Bearer `\u003ctoken>`, where `\u003ctoken>` is your [auth token](/api-reference/v2/general/authentication).","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form Bearer `\u003ctoken>`, where `\u003ctoken>` is your [auth token](/api-reference/v2/general/authentication).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi/swagger.json"},"subdomain":"glide","siteName":"Glide API Docs","title":"Delete Stash - Glide API Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-22T00:34:37.087Z","originalFileLocation":"api-reference/v2/stashing/delete-stash.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Deletes a stash and all its data\">\u003cmeta data-mint-head name=\"application-name\" content=\"Glide API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Delete Stash - Glide API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Deletes a stash and all its data\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Glide API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://apidocs.glideapps.com/api-reference/v2/stashing/delete-stash\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://glide.mintlify.app/_mintlify/api/og/v2?division=Stashing\u0026amp;title=Delete+Stash\u0026amp;description=Deletes+a+stash+and+all+its+data\u0026amp;theme=b74deb509ef937c24c639106\u0026amp;signature=2d0d15511e589201ca0bf0937d216c370a7c3dd273da18bf9cfe8c38ffa4a10a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Delete Stash - Glide API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Deletes a stash and all its data\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://glide.mintlify.app/_mintlify/api/og/v2?division=Stashing\u0026amp;title=Delete+Stash\u0026amp;description=Deletes+a+stash+and+all+its+data\u0026amp;theme=b74deb509ef937c24c639106\u0026amp;signature=2d0d15511e589201ca0bf0937d216c370a7c3dd273da18bf9cfe8c38ffa4a10a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Glide API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#18BED4\">\u003clink data-mint-head rel=\"canonical\" href=\"https://apidocs.glideapps.com/api-reference/v2/stashing/delete-stash\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v2/stashing/delete-stash.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://apidocs.glideapps.com/#organization\",\"name\":\"Glide API Docs\",\"url\":\"https://apidocs.glideapps.com\"},{\"@type\":\"WebSite\",\"@id\":\"https://apidocs.glideapps.com#website\",\"name\":\"Glide API Docs\",\"url\":\"https://apidocs.glideapps.com\",\"publisher\":{\"@id\":\"https://apidocs.glideapps.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/stashing/delete-stash#webpage\",\"url\":\"https://apidocs.glideapps.com/api-reference/v2/stashing/delete-stash\",\"name\":\"Delete Stash\",\"description\":\"Deletes a stash and all its data\",\"dateModified\":\"2026-01-22T00:34:37.087Z\",\"isPartOf\":{\"@id\":\"https://apidocs.glideapps.com#website\"},\"breadcrumb\":{\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/stashing/delete-stash#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/stashing/delete-stash#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Stashing\",\"item\":\"https://apidocs.glideapps.com/api-reference/v2/stashing/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Delete Stash\",\"item\":\"https://apidocs.glideapps.com/api-reference/v2/stashing/delete-stash\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/stashing/delete-stash#apireference\",\"headline\":\"Delete Stash\",\"name\":\"Delete Stash\",\"description\":\"Deletes a stash and all its data\",\"url\":\"https://apidocs.glideapps.com/api-reference/v2/stashing/delete-stash\",\"mainEntityOfPage\":{\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/stashing/delete-stash#webpage\"},\"dateModified\":\"2026-01-22T00:34:37.087Z\",\"publisher\":{\"@id\":\"https://apidocs.glideapps.com/#organization\"},\"isPartOf\":{\"@id\":\"https://apidocs.glideapps.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Glide API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Glide API Docs","nav":{"global":null,"groups":[{"group":"General","pages":[{"title":"Glide API v2.0","sidebarTitle":"Introduction","href":"/api-reference/v2/general/introduction"},{"title":"Authentication","href":"/api-reference/v2/general/authentication"},{"title":"Errors","href":"/api-reference/v2/general/errors"},{"title":"Limits","href":"/api-reference/v2/general/limits"}]},{"group":"Tables","pages":[{"title":"Data Versioning","href":"/api-reference/v2/tables/versioning"},{"title":"List Tables","openapi":"get /tables","href":"/api-reference/v2/tables/get-tables"},{"title":"Get Rows","openapi":"get /tables/{tableID}/rows","href":"/api-reference/v2/tables/get-table-rows"},{"title":"Get Row by ID","openapi":"get /tables/{tableID}/rows/{rowID}","href":"/api-reference/v2/tables/get-table-row"},{"title":"Get Rows Version","openapi":"head /tables/{tableID}/rows","href":"/api-reference/v2/tables/head-table-rows"},{"title":"Create Table","openapi":"post /tables","href":"/api-reference/v2/tables/post-tables"},{"title":"Add Rows to Table","openapi":"post /tables/{tableID}/rows","href":"/api-reference/v2/tables/post-table-rows"},{"title":"Overwrite Table","openapi":"put /tables/{tableID}","href":"/api-reference/v2/tables/put-tables"},{"title":"Update Row","openapi":"patch /tables/{tableID}/rows/{rowID}","href":"/api-reference/v2/tables/patch-table-row"},{"title":"Delete Row","openapi":"delete /tables/{tableID}/rows/{rowID}","href":"/api-reference/v2/tables/delete-table-row"}]},{"group":"Stashing","pages":[{"title":"Introduction","href":"/api-reference/v2/stashing/introduction"},{"title":"Stash Data","openapi":"put /stashes/{stashID}/{serial}","description":"Sets the content of a chunk of data inside a stash","href":"/api-reference/v2/stashing/put-stashes-serial"},{"title":"Delete Stash","openapi":"delete /stashes/{stashID}","href":"/api-reference/v2/stashing/delete-stash"}]},{"group":"Jobs","pages":[{"title":"Get Job Status","openapi":"get /jobs/{jobID}","description":"Check whether a job is finished, and get its result","href":"/api-reference/v2/jobs/get-job"}]},{"group":"Uploads","pages":[{"title":"Create Upload","openapi":"post /apps/{appID}/uploads","href":"/api-reference/v2/uploads/post-apiapps-uploads"},{"title":"Complete Upload","openapi":"post /apps/{appID}/uploads/{uploadID}/complete","href":"/api-reference/v2/uploads/post-apiapps-uploads-uploadid-complete"}]},{"group":"Tutorials","pages":[{"title":"Bulk Import","href":"/api-reference/v2/tutorials/bulk-import"}]},{"group":"Resources","pages":[{"title":"Glide API Postman Collection","sidebarTitle":"Postman","href":"/api-reference/v2/resources/postman"},{"title":"Glide API Changelog","sidebarTitle":"Changelog","href":"/api-reference/v2/resources/changelog"}]}]},"basePath":"","title":"Delete Stash - Glide API Docs","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","clsx-xpJZXxdP.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BTZUMDnx.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DqdKa2R4.js"]}